%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: fontconfig libX11 libXext libXft libXpm libXrender libgif libgtk+2 libjpeg perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Prima.pm)
# END SourceDeps(oneline)
%define module_name Prima-IPA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt3
Summary: Image Processing Algorithms
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARASIK/%{module_name}-%{version}.tar.gz

%description
IPA stands for Image Processing Algorithms and represents the library of image
processing operators and functions.  IPA is based on the Prima toolkit (
http://www.prima.eu.org ), which in turn is a perl-based graphic library. IPA
is designed for solving image analysis and object recognition tasks in perl.

Note: This module overrides old `IPA' module.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*
rm -rf %{buildroot}none*

%files
%doc README
%perl_vendor_archlib/auto/*
%perl_vendor_archlib/P*
%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.09-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.09-alt2
- rebuild with perl 5.30

* Thu Feb 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1
- initial import by package builder

